Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.jetty.plugin
Class AbstractJetty6Mojo

    java.lang.Object
      org.apache.maven.plugin.AbstractMojo
          org.mortbay.jetty.plugin.AbstractJettyMojo
              org.mortbay.jetty.plugin.AbstractJetty6Mojo

All Implemented Interfaces:
  org.apache.maven.plugin.ContextEnabled, org.apache.maven.plugin.Mojo

Direct Known Subclasses:
  Jetty6RunWar, Jetty6RunWarExploded

    public abstract class AbstractJetty6Mojo

extends AbstractJettyMojo

AbstractJetty6Mojo Base class for all jetty6 mojos.

Field Summary

Fields inherited from class org.mortbay.jetty.plugin.AbstractJettyMojo
`PORT_SYSPROPERTY`

Fields inherited from interface org.apache.maven.plugin.Mojo
`ROLE`

Constructor Summary
`AbstractJetty6Mojo()`

Method Summary
`void` | `applyJettyXml()`
`JettyPluginServer` | `createServer()` create a proxy that wraps a particular jetty version Server object
`Object[]` | `getConfiguredConnectors()`
`Object` | `getConfiguredRequestLog()`
`Object[]` | `getConfiguredUserRealms()`

Methods inherited from class org.mortbay.jetty.plugin.AbstractJettyMojo
`checkPomConfiguration, configureScanner, configureWebApplication, execute, findJettyWebXmlFile, finishConfigurationBeforeStart, getContextPath, getJettyXmlFileName, getOverrideWebXml, getProject, getScanIntervalSeconds, getScanList, getScanner, getScannerListeners, getServer, getSystemProperties, getTmpDirectory, getWebApplication, getWebDefaultXml, setScanList, setScannerListeners, setServer, setWebApplication, startJetty`

Methods inherited from class org.apache.maven.plugin.AbstractMojo
`getLog, getPluginContext, setLog, setPluginContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractJetty6Mojo

    public AbstractJetty6Mojo()

Method Detail

### getConfiguredUserRealms

    public Object[] getConfiguredUserRealms()

  Specified by:
    `getConfiguredUserRealms` in class `AbstractJettyMojo`
  Returns:
    Returns the realms configured in the pom
  See Also:
    `AbstractJettyMojo.getConfiguredUserRealms()`

### getConfiguredConnectors

    public Object[] getConfiguredConnectors()

  Specified by:
    `getConfiguredConnectors` in class `AbstractJettyMojo`
  Returns:
    Returns the connectors configured in the pom
  See Also:
    `AbstractJettyMojo.getConfiguredConnectors()`

### getConfiguredRequestLog

    public Object getConfiguredRequestLog()

  Specified by:
    `getConfiguredRequestLog` in class `AbstractJettyMojo`

### applyJettyXml

    public void applyJettyXml()
                       throws Exception

  Specified by:
    `applyJettyXml` in class `AbstractJettyMojo`
  Throws:
    `Exception`

### createServer

    public JettyPluginServer createServer()
                                   throws Exception

  Description copied from class: `AbstractJettyMojo`
  create a proxy that wraps a particular jetty version Server object

  Specified by:
    `createServer` in class `AbstractJettyMojo`
  Returns:
  Throws:
    `Exception`
  See Also:
    `AbstractJettyMojo.createServer()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.